Name:           glite-lbjp-common-jp-interface
Version:        2.3.9
Release:        1%{?dist}
Summary:        Public API to JP service internal interface

Group:          System Environment/Libraries
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.jp-interface/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  chrpath
BuildRequires:  cppunit-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-db-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
Definition of interfaces required to build plugins for JP services and
implementation of minimal library of support
functions.


%package        devel
Summary:        Development files for gLite L&B/JP interface library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
interface library.


%prep
%setup -q


%build
perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lbjp-common.jp-interface
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_jp_common.so.2
%{_libdir}/libglite_jp_common.so.2.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/glite
%dir %{_includedir}/glite/jp
%{_includedir}/glite/jp/types.h
%{_includedir}/glite/jp/indexdb.h
%{_includedir}/glite/jp/attr.h
%{_includedir}/glite/jp/file_plugin.h
%{_includedir}/glite/jp/context.h
%{_includedir}/glite/jp/type_plugin.h
%{_includedir}/glite/jp/backend.h
%{_includedir}/glite/jp/known_attr.h
%{_includedir}/glite/jp/builtin_plugins.h
%{_libdir}/libglite_jp_common.so


%changelog
* Fri Nov 22 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.3.9-1
- automatically generated package
